:root {
  --mid: #303030;
  --dark: black;
  --opaque-dark: #00000008;
  --opaque-dark-link: #00000024;
  --light: white;
  --opaque-light: #ffffff0f;
  --opaque-light-link: #ffffff24;
}

html {
  height: 100%;
}

body {
  min-height: 100%;
  background-color: #fff;
  color: var(--mid);
  letter-spacing: 0;
  font-family: system-ui, -apple-system, sans-serif;
  font-size: 1rem;
  font-weight: 300;
  line-height: 1.6;
}

h1 {
  color: var(--dark);
  font-size: 1.125rem;
  font-weight: 600;
  line-height: 1;
}

h2, h3 {
  color: var(--dark);
  font-size: 1.125rem;
  font-weight: 500;
  line-height: 1.6;
}

h4 {
  color: var(--dark);
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.6;
}

h5 {
  color: var(--dark);
  font-size: .875rem;
  font-weight: 500;
  line-height: 1.6;
}

h6 {
  color: var(--dark);
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: .75rem;
  font-weight: 600;
  line-height: 1.6;
}

p {
  color: var(--mid);
  font-size: 1.125rem;
}

a {
  text-decoration: underline;
}

ul, ol {
  margin-top: .25rem;
  margin-bottom: .25rem;
  padding-left: 1rem;
  font-size: 1.125rem;
}

li {
  margin-top: .25rem;
  margin-bottom: .25rem;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  display: inline-block;
}

button,
[type='button'],
[type='reset'] {
  border: 0;
  cursor: pointer;
  -webkit-appearance: button;
}

strong {
  font-weight: 500;
}

code {
  background-color: var(--opaque-dark);
  border-radius: .25rem;
  padding-left: .25rem;
  padding-right: .25rem;
  font-size: .875rem;
  display: inline-block;
}

pre {
  font-size: .875rem;
}

figure {
  margin: 0 0 10px;
}

figcaption {
  text-align: center;
  margin-top: .75rem;
  margin-bottom: .5rem;
  font-size: .75rem;
}

.header {
  justify-content: space-between;
  align-items: center;
  margin-bottom: 6rem;
  display: flex;
  position: relative;
}

.background_wrap {
  margin-bottom: 5rem;
}

.page-wrap {
  width: 100%;
  max-width: 40rem;
  margin-left: auto;
  margin-right: auto;
  padding: 5rem 1.5rem 4rem;
  overflow: clip;
}

.work_wrap, .writing_wrap {
  margin-bottom: 5rem;
}

.work_icon {
  border-radius: .5rem;
  width: 3rem;
  height: 3rem;
  box-shadow: 0 1px 8px #00000014;
}

.work_item {
  margin-left: -1rem;
  margin-right: -1rem;
  list-style: none;
}

.work_list {
  grid-column-gap: .375rem;
  grid-row-gap: .375rem;
  flex-flow: column;
  padding-top: .25rem;
  padding-left: 0;
  display: flex;
}

.work_content {
  flex: 1;
}

.writing_list {
  grid-column-gap: .375rem;
  grid-row-gap: .375rem;
  flex-flow: column;
  padding-top: .25rem;
  padding-left: 0;
  display: flex;
}

.writing_item {
  margin-left: -1rem;
  margin-right: -1rem;
  list-style: none;
}

.mb-1 {
  margin-bottom: .25rem;
}

.mb-2 {
  margin-bottom: .5rem;
}

.mb-3 {
  margin-bottom: .75rem;
}

.mb-4 {
  margin-bottom: 1rem;
}

.work_link {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  background-color: #0000;
  border-radius: .5rem;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: .75rem 1rem;
  transition: background-color .1s, transform 100ms ease-out;
  display: flex;
}

.work_link:hover, .work_link:focus {
  background-color: var(--opaque-dark);
}

.work_link:active {
  transform: scale(.98);
}

.writing_link {
  background-color: #0000;
  border-radius: .5rem;
  width: 100%;
  padding: .75rem 1rem;
  transition: background-color .1s, transform 100ms ease-out;
}

.writing_link:hover, .writing_link:focus {
  background-color: var(--opaque-dark);
}

.writing_link:active {
  transform: scale(.98);
}

.icon_link {
  grid-column-gap: .25rem;
  grid-row-gap: .25rem;
  justify-content: center;
  align-items: center;
  font-size: 1.125rem;
  font-weight: 500;
  display: inline-flex;
}

.ic-16 {
  width: 1rem;
  height: 1rem;
}

.mb-5 {
  margin-bottom: 1.5rem;
}

.nav_logo {
  color: var(--dark);
  font-size: 1.125rem;
  font-weight: 500;
}

.nav_tagline {
  position: relative;
  overflow: hidden;
}

.nav_tagline_social {
  opacity: 0;
  transform-origin: 0%;
  position: absolute;
  inset: 0% auto auto 0%;
  transform: scale(.8);
}

.nav_tagline_role {
  transform: scale3d(1none, 1none, 1none);
  transform-origin: 0%;
  transform-style: preserve-3d;
  font-size: 1.125rem;
  line-height: 1.4;
}

.icon_change {
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  grid-template-rows: auto;
  grid-template-columns: 1fr;
  grid-auto-columns: 1fr;
  place-items: center;
  display: grid;
  overflow: hidden;
}

.article_wrap {
  margin-bottom: 5rem;
}

.article_title {
  margin-bottom: 1.25rem;
  font-size: 1.5rem;
  line-height: 1.6;
}

.article_figure {
  margin-top: 4rem;
  margin-bottom: 2rem;
  position: relative;
}

.article_image {
  border-radius: .5rem;
  width: 100%;
}

.article_footer {
  margin-bottom: 5rem;
}

.article_divider {
  background-color: var(--opaque-dark);
  width: 100%;
  height: .0625rem;
  margin-top: 2.5rem;
  margin-bottom: 2.5rem;
}

.article_code_block {
  border: 1px solid #0000001f;
  border-radius: .5rem;
  margin-top: 1.25rem;
  margin-bottom: 1.5rem;
  overflow: hidden;
}

.mb-6 {
  margin-bottom: 2rem;
}

.mb-7 {
  margin-bottom: 2.5rem;
}

.article_link {
  color: var(--dark);
  text-underline-offset: .125rem;
  text-decoration: underline;
  -webkit-text-decoration-color: var(--opaque-dark-link);
  text-decoration-color: var(--opaque-dark-link);
  text-underline-position: under;
  text-decoration-style: solid;
  text-decoration-thickness: .09375rem;
  transition: text-decoration-color var(--theme-duration, .4s) var(--theme-ease, ease);
}

.clickable_wrap {
  z-index: 3;
  border-radius: inherit;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.clickable_link {
  border-radius: inherit;
  width: 100%;
  height: 100%;
  display: block;
  position: absolute;
  inset: 0%;
}

.u-sr-only {
  clip: rect(0, 0, 0, 0);
  border: 0 solid #000;
  width: 1px;
  height: 1px;
  margin-left: auto;
  margin-right: auto;
  padding: 0;
  position: absolute;
  inset: 0% 0% auto;
}

._404_wrap {
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 100%;
  height: 100vh;
  max-height: 100%;
  display: flex;
}

.btn_theme {
  background-color: var(--opaque-dark);
  outline-offset: 0px;
  cursor: pointer;
  border-radius: 100vw;
  outline: 0 #0000;
  justify-content: flex-end;
  align-items: center;
  padding: 0 .375rem;
  display: flex;
  position: relative;
  overflow: hidden;
}

.btn_theme_icon {
  width: 1.25rem;
  height: 100%;
  position: relative;
}

.btn_theme_icon_box {
  height: 100%;
  padding-top: .375rem;
  padding-bottom: .375rem;
  display: flex;
  position: relative;
}

.btn_theme_icon_box.is--absolute {
  position: absolute;
}

.header_actions {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  align-items: center;
  display: flex;
}

.copy-email-button {
  background-color: var(--opaque-dark);
  color: var(--dark);
  border-radius: 100vw;
  align-items: center;
  padding: .25rem .75rem .25rem .25rem;
  display: flex;
  cursor: pointer;
}

.copy-email-icon__wrap {
  flex: none;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  width: 1.5rem;
  height: 1.5rem;
  display: flex;
  position: relative;
  overflow: hidden;
}

.copy-email-icon__el {
  flex: none;
  width: 1.5rem;
  height: 1.5rem;
  justify-content: center;
  align-items: center;
  display: flex;
}

.copy-email-text__wrap {
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 1.2em;
  font-size: .75rem;
  line-height: 1.2;
  display: flex;
  overflow: hidden;
}

.copy-email-text__el {
  white-space: nowrap;
  font-size: 1em;
}

@media screen and (max-width: 767px) {
  .article_figure {
    margin-left: -1.5rem;
    margin-right: -1.5rem;
  }

  .article_image {
    border-radius: 0;
  }
}

@media screen and (max-width: 479px) {
  .header {
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 8rem;
  }

  .background_wrap {
    margin-bottom: 4rem;
  }

  .page-wrap {
    padding-top: 3rem;
    padding-bottom: 2rem;
  }

  .work_wrap, .writing_wrap, .article_wrap, .article_footer {
    margin-bottom: 4rem;
  }

  .work_link {
    flex-direction: row-reverse;
  }

  .work_content > div {
    font-size: 1rem;
  }
}
